#ifndef GENOME_H
#define GENOME_H

#include <iostream>
#include <string>
#include <vector>
/*
#include "../include/specie.h"
#include "../include/genome.h"
#include "../include/individual.h"
#include "../include/population.h"
#include "../include/cell.h"
*/
using namespace std;
class genome
{
    public:
    genome();
    genome(int * s_genome, int size);
    void genomeAsString();
    int size();
    int get_val(int pos);
    //void set_genome(int * values, int length);

    protected:
    private:
    int sizeGlobal;
    int * loci;
};

#endif // GENOME_H
